<template>
  <div class="page-title">
    <div class="flex items-center title">
      <span v-if="icon" class="material-icons cursor-pointer" style="margin-right: 9px;" @click="$emit('iconClick')">{{ icon }}</span>
      <span class="title" :style="`font-size: ${fontSize}px`">{{ title }}</span>
    </div>
    <div>
      <n-button v-if="!hideBtn && btn2" class="btn" plain @click="$emit('btn2Click')">{{ btn2 }}</n-button>
      <n-button v-if="!hideBtn" class="btn" type="primary" @click="$emit('btnClick')">{{ btn || '編輯' }}</n-button>
    </div>
  </div>
</template>

<script setup>
import { NButton } from 'naive-ui/es'
defineProps({
  title: { type: String, default: '' },
  btn: { type: String, default: '' },
  btn2: { type: String, default: '' },
  fontSize: { type: Number, default: 18 },
  hideBtn: Boolean,
  icon: {
    type: String,
    default: null,
  },
})

</script>

<style lang="postcss" scoped>
.page-title {
  @apply flex justify-between mb-[24px];
}

.title {
  @apply font-medium !text-[18px] !leading-[26.06px];
}

.btn {
  @apply min-w-[100px] text-normal;
}
</style>
